Hanzo
API Reference

Hanzo PubSub API

Hanzo PubSub provides high-performance publish/subscribe messaging with

Hanzo PubSub provides high-performance publish/subscribe messaging with

Base URLhttps://pubsub.hanzo.ai
Version1.0.0
Operations30
GuideHanzo PubSub API guide

Authentication

  • bearerAuth — HTTP bearer
  • BearerAuth — HTTP bearer

All Hanzo APIs share one bearer credential and common error and pagination conventions. See API conventions.

curl -H "Authorization: Bearer $HANZO_API_KEY" https://pubsub.hanzo.ai

Endpoints

Consumers

MethodEndpointDescription
GET/v1/pubsub/jetstream/streams/{stream}/consumersList consumers
POST/v1/pubsub/jetstream/streams/{stream}/consumersCreate a consumer
GET/v1/pubsub/jetstream/streams/{stream}/consumers/{consumer}Get consumer info
DELETE/v1/pubsub/jetstream/streams/{stream}/consumers/{consumer}Delete a consumer

Health

MethodEndpointDescription
GET/healthzHealth check

Key-Value

MethodEndpointDescription
POST/v1/pubsub/kv/{bucket}Create a KV bucket
DELETE/v1/pubsub/kv/{bucket}Delete a KV bucket
GET/v1/pubsub/kv/{bucket}/{key}Get a value
PUT/v1/pubsub/kv/{bucket}/{key}Set a value
DELETE/v1/pubsub/kv/{bucket}/{key}Delete a key
GET/v1/pubsub/kv/{bucket}/{key}/historyGet key history

Monitoring

MethodEndpointDescription
GET/v1/pubsub/varzServer statistics
GET/v1/pubsub/connzConnection details
GET/v1/pubsub/jszJetStream info
GET/v1/pubsub/routezCluster routes
GET/v1/pubsub/gatewayzGateway status
GET/v1/pubsub/leafzLeaf node info
GET/v1/pubsub/subszSubscription info

Object Store

MethodEndpointDescription
GET/v1/pubsub/objects/{bucket}List objects in a bucket
GET/v1/pubsub/objects/{bucket}/{name}Download an object
PUT/v1/pubsub/objects/{bucket}/{name}Upload an object
DELETE/v1/pubsub/objects/{bucket}/{name}Delete an object

Publish

MethodEndpointDescription
POST/v1/pubsub/publishPublish a message

Request-Reply

MethodEndpointDescription
POST/v1/pubsub/requestRequest/reply

Streams

MethodEndpointDescription
GET/v1/pubsub/jetstream/streamsList streams
POST/v1/pubsub/jetstream/streamsCreate a stream
GET/v1/pubsub/jetstream/streams/{stream}Get stream info
PUT/v1/pubsub/jetstream/streams/{stream}Update stream config
DELETE/v1/pubsub/jetstream/streams/{stream}Delete a stream

Subscribe

MethodEndpointDescription
GET/v1/pubsub/subscribeSubscribe to a subject (SSE)

Hanzo PubSub API guide · All Hanzo APIs · OpenAPI spec

How is this guide?

On this page